import 'package:event_analysis_library/src/shared/api_constants.dart';

///
/// interface
///
abstract class Request {
  static const host = ApiConstants.BASE_URL;

  static const _authentication = 'Authorization';
  static const _token = 'token';
  static const _bearer = 'Bearer ';

  String getUrl();

  String getBody();

  Map<String, String> getHeaders();

  static String createUrl(String path) {
    return '$host$path';
  }

  static String createGetUrl(String path, Map<String, dynamic> parameters) {
    final uri = Uri.parse(createUrl(path));
    final ret = uri.replace(queryParameters: parameters);
    return ret.toString();
  }

  static Map<String, String> createAuthHeader(
      String authentication, String token) {
    final authHeader = <String, String>{
      'Accept': "application/json",
      'Content-Type': 'application/json'
    };
    if (token != null) {
      authHeader[_authentication] = '$authentication';
      authHeader[_token] = '$token';
    }
    return authHeader;
  }

  static Map<String, String> toParamMap(String key, List<String> list) {
    final ret = <String, String>{};
    list.asMap().forEach((index, value) {
      ret['$key[$index]'] = value.toString();
    });
    return ret;
  }
}
